[arch-commits] Commit in rasqal/repos (4 files)

Tom Gundersen tomegun at archlinux.org
Fri May 18 13:15:02 UTC 2012


    Date: Friday, May 18, 2012 @ 09:15:02
  Author: tomegun
Revision: 159230

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  rasqal/repos/testing-i686/
  rasqal/repos/testing-i686/PKGBUILD
    (from rev 159229, rasqal/trunk/PKGBUILD)
  rasqal/repos/testing-x86_64/
  rasqal/repos/testing-x86_64/PKGBUILD
    (from rev 159229, rasqal/trunk/PKGBUILD)

-------------------------+
 testing-i686/PKGBUILD   |   35 +++++++++++++++++++++++++++++++++++
 testing-x86_64/PKGBUILD |   35 +++++++++++++++++++++++++++++++++++
 2 files changed, 70 insertions(+)

Copied: rasqal/repos/testing-i686/PKGBUILD (from rev 159229, rasqal/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2012-05-18 13:15:02 UTC (rev 159230)
@@ -0,0 +1,35 @@
+# $Id$
+# Maintainer: Tom Gundersen <teg at jklm.no>
+# Contributor: AndyRTR <andyrtr at archlinux.org>
+# Contributor: Lawrence Lee <valheru at facticius.net>
+
+pkgname=rasqal
+epoch=1
+pkgver=0.9.29
+pkgrel=1
+pkgdesc="A free C library that handles Resource Description Framework (RDF) query syntaxes, query construction and query execution returning result bindings"
+url="http://librdf.org/rasqal"
+license=('GPL' 'LGPL')
+arch=('i686' 'x86_64')
+depends=('raptor' 'mpfr')
+options=('!libtool')
+source=(http://download.librdf.org/source/${pkgname}-${pkgver}.tar.gz)
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr \
+	--disable-static \
+	--enable-release
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make -k check || true # still fails some checks
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+}
+md5sums=('49e4b75a0c67465edf55dd20606715fa')

Copied: rasqal/repos/testing-x86_64/PKGBUILD (from rev 159229, rasqal/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2012-05-18 13:15:02 UTC (rev 159230)
@@ -0,0 +1,35 @@
+# $Id$
+# Maintainer: Tom Gundersen <teg at jklm.no>
+# Contributor: AndyRTR <andyrtr at archlinux.org>
+# Contributor: Lawrence Lee <valheru at facticius.net>
+
+pkgname=rasqal
+epoch=1
+pkgver=0.9.29
+pkgrel=1
+pkgdesc="A free C library that handles Resource Description Framework (RDF) query syntaxes, query construction and query execution returning result bindings"
+url="http://librdf.org/rasqal"
+license=('GPL' 'LGPL')
+arch=('i686' 'x86_64')
+depends=('raptor' 'mpfr')
+options=('!libtool')
+source=(http://download.librdf.org/source/${pkgname}-${pkgver}.tar.gz)
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr \
+	--disable-static \
+	--enable-release
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make -k check || true # still fails some checks
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+}
+md5sums=('49e4b75a0c67465edf55dd20606715fa')




More information about the arch-commits mailing list